Ruby - Bug #6235

Call to malloc not checked in thread_pthread.c
03/31/2012 08:09 AM - rubysubmit (Ruby Submit)

Status: Closed
Priority: Normal
Assignee: ko1 (Koichi Sasada)

Target version:

ruby -v: ruby 1.9.2p290 Backport:

Description
File: thread_pthread.c

struct cached_thread_entry *entry =
(struct cached_thread_entry *)malloc(sizeof(struct cached_thread_entry));

struct timeval tv;

struct timespec ts;
gettimeofday (&tv, 0);
ts.tv_sec = tv.tv_sec + 60;
ts.tv_nsec = tv.tv_usec * 1000;

pthread_mutex_lock (&thread_cache_lock);
{

entry->th_area = &th_area;

Associated revisions

Revision 91aba07aff667eb31cf18d9b8849a60fcdc6e18a - 06/26/2012 08:01 AM - ko1 (Koichi Sasada)

e thread_pthread.c (register_cached_thread_and_wait):
return immediately if malloc() failed.
[ruby-core:43960] [ruby-trunk - Bug #6235]
e thread_pthread.c (USE_THREAD_CACHE): check already defined or not.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@36222 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 91aba07a - 06/26/2012 08:01 AM - ko1 (Koichi Sasada)

e thread_pthread.c (register_cached_thread_and_wait):
return immediately if malloc() failed.
[ruby-core:43960] [ruby-trunk - Bug #6235]
e thread_pthread.c (USE_THREAD_CACHE): check already defined or not.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@36222 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 03/31/2012 08:23 AM - mame (Yusuke Endoh)
- Status changed from Open to Assigned

- Assignee set to kosaki (Motohiro KOSAKI)

#2 - 04/09/2012 05:48 PM - ko1 (Koichi Sasada)
- Assignee changed from kosaki (Motohiro KOSAKI) to ko1 (Koichi Sasada)

I'll fix it.

#3 - 06/26/2012 05:01 PM - ko1 (Koichi Sasada)
- Status changed from Assigned to Closed

- % Done changed from 0 to 100
This issue was solved with changeset r36222.
Ruby, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

e thread pthread.c (register_cached_thread_and_wait):
return immediately if malloc() failed.
ruby-core:43960] [ruby-trunk - Bug #6235]

o thread_pthread.c (USE_THREAD_CACHE): check already defined or not.
